Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 1.0.5

Bug #5677 Parse error
Submitted: 2005-10-12 20:25 UTC Modified: 2005-10-12 20:32 UTC
From: davidc Assigned: jystewart
Status: Closed Package: XML_Feed_Parser
PHP Version: 5.0.3 OS: Slackware 10.1
Roadmaps: (Not assigned)    
Subscription  


 [2005-10-12 20:25 UTC] davidc
Description: ------------ This is a rather simple bug that takes place in Parser.php on line 92: http://cvs.php.net/co.php/pear/XML_Feed_Parser/Parser.php?r=1.1#92 ----- <?php $class = 'XML_Feed_Parser_Atom'; trigger_error( 'Atom 0.3 deprecated, using 1.0 parser which won't provide all options'', E_USER_WARNING); break; ?> You could or use trigger_error(".......", E_USER_WARNING); or escape the \' Expected result: ---------------- No parse error Actual result: -------------- Parse error

Comments

 [2005-10-12 20:32 UTC] jystewart at php dot net
This bug has been fixed in CVS. If this was a documentation problem, the fix will appear on pear.php.net by the end of next Sunday (CET). If this was a problem with the pear.php.net website, the change should be live shortly. Otherwise, the fix will appear in the package's next release. Thank you for the report and for helping us make PEAR better.